XtAppError(3) | Library Functions Manual | XtAppError(3)

# NAME

XtAppError, XtAppSetErrorHandler, XtAppSetWarningHandler, XtAppWarning - low-level error handlers

# SYNTAX

#include <X11/Intrinsic.h>

_X_NORETURN void XtAppError(XtAppContext app_context, const char *message);

XtErrorHandler XtAppSetErrorHandler(XtAppContext app_context, _X_NORETURN XtErrorHandler handler);

XtErrorHandler XtAppSetWarningHandler(XtAppContext app_context, XtErrorHandler handler);

void XtAppWarning(XtAppContext app_context, const char *message);

# ARGUMENTS

app_context
  Specifies the application context.
message
  Specifies the nonfatal error message that is to be reported.
handler
  Specifies the new fatal error procedure, which should not return, or the nonfatal error procedure, which usually returns.
message
  Specifies the message that is to be reported.

# DESCRIPTION

The XtAppError function calls the installed error procedure and passes the specified message.

The XtAppSetErrorHandler function registers the specified procedure, which is called when a fatal error condition occurs.

The XtAppSetWarningHandler registers the specified procedure, which is called when a nonfatal error condition occurs.

The XtAppWarning function calls the installed nonfatal error procedure and passes the specified message.

# SEE ALSO

XtAppGetErrorDatabase(3), XtAppErrorMsg(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS